[fixed] OpenEMM 2015 R2 on Centos 5 - bav and libmilter

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

[fixed] OpenEMM 2015 R2 on Centos 5 - bav and libmilter

Postby blazh » Wed Feb 03, 2016 10:28 am

Hello!

I manage OpenEMM from version 6.2 until the 2013 on a CentOS 5 system and all is working well. While looking to upgrade to new 2015R2 version, I noticed that bav requires libmilter and that only because sending mail using OpenEMMs sendmail service didn't work although sending mailing worked well and without errors. In test, I didn't check how bouncing works but i guess it will have problems too.

Since older versions, including version 2015, had bav without dynamic link to libmilter, all worked - mailings and mails from the OS itself.

Problem here is that CentOS 5 does not have libmilter package at all in its official repos. Building it just for this is not a possibility because of various reasons.

So, I'm asking has anyone managed to get this setup to work or can builders - or will they - rebuild new version with static link to libmilter, the way they did it with older versions?
Last edited by blazh on Thu Feb 11, 2016 9:36 am, edited 1 time in total.
blazh
 
Posts: 5
Joined: Tue Dec 03, 2013 2:24 pm

Re: OpenEMM 2015 R2 on Centos 5 - bav and libmilter

Postby maschoff » Fri Feb 05, 2016 11:34 am

RPMs sendmail, sendmail-cf and sendmail-devel should be all you need for OpenEMM.
OpenEMM Maintainer
maschoff
Site Admin
 
Posts: 2127
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany

Re: OpenEMM 2015 R2 on Centos 5 - bav and libmilter

Postby blazh » Thu Feb 11, 2016 9:35 am

Indeed, thanx! I builded again from source and it works as expected.
blazh
 
Posts: 5
Joined: Tue Dec 03, 2013 2:24 pm


Return to Installation & Upgrades

Who is online

Users browsing this forum: Google [Bot] and 2 guests

cron